开始使用 SpreadJS

6.1 环境要求

SpreadJS 是一款基于 HTML5 的纯前端表格控件,支持所有主流浏览器。只要支持 H5 标准的浏览器就能完整运行 SpreadJS 的全部功能,无需预装任何插件和第三方应用软件。

SpreadJS 能以原生的方式嵌入各类应用,如:B/S、H5 小程序、APP 等。

SpreadJS 控件支持以下浏览器:

  • Microsoft IE9+
  • Mozilla FireFox
  • Safari
  • Google Chrome

客户端 Excel 导入和导出需要 IE10+。

 

6.2 在前端框架中使用 SpreadJS

SpreadJS 提供对 JavaScript 框架的支持,以便开发人员进行快速的 Web 开发和有效的代码维护。

SpreadJS 兼容主流的前端框架,如 Angular、Vue、React、Breeze和 Knockout 等,符合 UMD 规范,可以根据场景按需加载。